summaryrefslogtreecommitdiff
path: root/pullgits
diff options
context:
space:
mode:
Diffstat (limited to 'pullgits')
-rwxr-xr-xpullgits15
1 files changed, 15 insertions, 0 deletions
diff --git a/pullgits b/pullgits
new file mode 100755
index 0000000..7da8eb6
--- /dev/null
+++ b/pullgits
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+WD=$([ "x" == "x$1" ] && echo $PWD || echo $1)
+
+GITS=$(find $WD -type d | egrep '\.git$')
+
+echo $GITS
+
+exit 0
+
+for i in $GITS
+do
+ cd $i
+ git pull
+done